Page MenuHomePhabricator

[spike,8hrs] Identify different entry points for MobileFrontend code splitting
Closed, ResolvedPublic0 Story Points

Description

To prepare for using a JavaScript bundler in MobileFrontend we'd like to work out how to organise our code going forward.

Various modules are loaded unconditionally on Minerva, however are currently packaged into separate modules to ease with testing/discoverability e.g. mobile.issues/mobile.editor.overlay etc..

As we move to asset bundling, we'll be able to test these modules more easily and there will be no need for them to live in separate modules.

Despite this we are likely to want to retain entry points for other purposes. Possible ways we might split:

  • No splitting
  • Splitting by feature e.g. editor/media
  • Splitting by component e.g. overlay
  • Splitting by essential and non-essential (e.g. 2 code entry points)

Acceptance criteria

  • Make proposal of how to split up modules (either via code/diagram)
  • Setup meeting with team to talk through proposal
  • Record decision - either by marking any modules with txt files in their folders identifying that in future or merging modules (if and only if easy to merge) -- Stephen's note: I just amended T199452

Event Timeline

Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
Vvjjkkii renamed this task from Identify different entry points for MobileFrontend code splitting to cpaaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from cpaaaaaaaa to Identify different entry points for MobileFrontend code splitting.Jul 2 2018, 1:41 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Jdlrobson triaged this task as High priority.Jul 6 2018, 8:54 PM
Jdlrobson moved this task from Triaged but Future to Upcoming on the Readers-Web-Backlog board.

Sooner we start this the more informed we'll be about the scope of this project.

Estimated as a spike at 8 hours.

Jdlrobson renamed this task from Identify different entry points for MobileFrontend code splitting to [spike,8hrs] Identify different entry points for MobileFrontend code splitting.Jul 10 2018, 4:50 PM
Jdlrobson set the point value for this task to 0.
Niedzielski moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.
Jdlrobson moved this task from Inbox to Next up on the User-Jdlrobson board.Jul 31 2018, 1:58 AM

@Jdlrobson, would you mind signing this off? I've updated T199452 to indicate that we should in fact start by attacking the mobile.startup module.

Jdlrobson closed this task as Resolved.Aug 3 2018, 2:48 AM

Signing off. Made one edit to T199452 but let's continue that talk there.